TrackPluginRemove_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.agent.commands.TrackPluginRemove_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.agent.commands
Class TrackPluginRemove_args

    java.lang.Object
      org.hyperic.hq.agent.AgentRemoteValue
          org.hyperic.hq.measurement.agent.commands.TrackPluginRemove_args

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, GenericValueMap

    public class TrackPluginRemove_args

extends AgentRemoteValue

See Also:
  Serialized Form

Constructor Summary
`TrackPluginRemove_args()`
`TrackPluginRemove_args(AgentRemoteValue args)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `setConfig(java.lang.String pluginName, java.lang.String pluginType)`

Methods inherited from class org.hyperic.hq.agent.AgentRemoteValue
`fromStream, getKeys, getValue, getValueAsDouble, getValueAsInt, getValueAsLong, readExternal, setValue, toStream, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrackPluginRemove_args

    public TrackPluginRemove_args()

### TrackPluginRemove_args

    public TrackPluginRemove_args(AgentRemoteValue args)
                           throws AgentRemoteException

Throws:
  `AgentRemoteException`

Method Detail

### setConfig

    public void setConfig(java.lang.String pluginName,
                          java.lang.String pluginType)
                   throws AgentRemoteException

  Throws:
    `AgentRemoteException`

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.